## rosegarden 14.02

=== debian/changelog ===
rosegarden (1:14.02-2) unstable; urgency=medium

  * Add libz-dev to build-dependencies (Closes: #747770)

 -- Stuart Prescott <stuart@debian.org>  Mon, 12 May 2014 23:51:02 +1000

rosegarden (1:14.02-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sun, 09 Mar 2014 23:13:00 +1100

rosegarden (1:13.10-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version (no changes required).
  * Change to debhelper compat level 9 to enable hardening.

 -- Stuart Prescott <stuart@debian.org>  Tue, 04 Mar 2014 00:28:55 +1100

=== debian/control ===
Source: rosegarden
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Stuart Prescott <stuart@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 dssi-dev (>= 0.4),
 fftw3-dev,
 ladspa-sdk,
 libasound2-dev (>= 1.0.0),
 libjack-dev,
 liblircclient-dev,
 liblo-dev,
 liblrdf0-dev,
 libqt4-dev,
 libsamplerate-dev,
 libsm-dev,
 libsndfile1-dev,
 libx11-dev,
 libz-dev,
 pkg-config,
 xutils-dev
Standards-Version: 3.9.5
Homepage: http://www.rosegardenmusic.com/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/rosegarden.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/rosegarden.git

Package: rosegarden
Architecture: any
Depends:
 flac,
 libxml-twig-perl,
 sndfile-programs,
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 rosegarden-data
Conflicts:
 rosegarden-data
Recommends:
 cups-bsd | lpr,
 ghostscript,
 jackd,
 konqueror | www-browser,
 lilypond,
 okular | pdf-viewer,
 swh-plugins | ladspa-plugin,
 wavpack
Suggests:
 awesfx,
 qjackctl
Description: music editor and MIDI/audio sequencer
 Rosegarden is a Qt application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.

Package: rosegarden-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 rosegarden (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for Rosegarden
 Rosegarden is a Qt application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.
 .
 This package provides the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_ARCH := $(shell dpkg --print-architecture)
ARCH=$(DEB_BUILD_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Enable hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

ifeq ($(ARCH),alpha)
CXXFLAGS+=-O0 -mieee
else
CXXFLAGS+=-O2
endif

# DEBUGGING FLAGS.
# CXXFLAGS+=-g3 -gstabs+ -fexceptions
# DEB_BUILD_OPTIONS+=nostrip
# export CXXFLAGS
# export DEB_BUILD_OPTIONS

###

%:
	dh $@ --parallel --with autoreconf

override_dh_clean:
	dh_clean -Xautom4te.cache

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-debug \
		--with-qtlibdir=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_test:

override_dh_strip:
	dh_strip --dbg-package=rosegarden-dbg

## rosegarden 14.12

=== debian/changelog ===
rosegarden (1:14.12-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 07:05:43 +0000

rosegarden (1:14.12-1) unstable; urgency=medium

  * New upstream release.
    - Fixes german translation of fifths (Closes: #640673).
  * Bump standards version (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 28 Apr 2015 00:30:34 +1000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: rosegarden
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Stuart Prescott <stuart@debian.org>
@@ -24,7 +25,7 @@
  libz-dev,
  pkg-config,
  xutils-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.rosegardenmusic.com/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/rosegarden.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/rosegarden.git

## rosegarden 15.12.1

=== CMakeLists.txt ===
# CMake version required. This must be the very first line, because it sets default policies affecting everything else
cmake_minimum_required(VERSION 2.8.12)

# Project name
project(rosegarden)

# Version
set(ROSEGARDEN_VERSION "15.12")
set(ROSEGARDEN_CODENAME "Peace")
#set(ROSEGARDEN_CODENAME "Querida")
#set(ROSEGARDEN_CODENAME "Rhapsody in Blue")
#set(ROSEGARDEN_CODENAME "Seagull")
#set(ROSEGARDEN_CODENAME "Twice in a Blue Moon")
#set(ROSEGARDEN_CODENAME "Ultimate Pleasure")
#set(ROSEGARDEN_CODENAME "Vesper")
#set(ROSEGARDEN_CODENAME "Worcestershire")
#set(ROSEGARDEN_CODENAME "Xerxes")
#set(ROSEGARDEN_CODENAME "Yesterday")
#set(ROSEGARDEN_CODENAME "Zepherine Drouhin")

# Make the build type default to "Release"
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif(NOT CMAKE_BUILD_TYPE)

# Make it possible to use cmake files from the cmake subdir
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

# Enable the really useful automoc feature from cmake
set(CMAKE_AUTOMOC TRUE)

# Find headers in "." as well
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Used to set installation paths
# This takes care of installing into "lib64" on distros that use that, for instance,
# by setting CMAKE_INSTALL_FULL_LIBDIR.
include(GNUInstallDirs)

# Tweak RPATH handling so that installed debug builds work out of the box
include(RPathHandling)

# Activate unit tests (this enables `make test`)
enable_testing()
# and this defines the BUILD_TESTING option (and enabled CDash integration)
include(CTest)

# Check whether we explicitely select the Qt version to be used or autodetect
if(NOT USE_QT4 AND NOT USE_QT5)
   # Autodetect, prefering Qt 4
   message(STATUS "Autodetecting Qt version to use")
   find_package(Qt4 QUIET)
   if(Qt4_FOUND)
      set(USE_QT4 TRUE)
   endif()
endif()

if(USE_QT4)
   set(QT_MIN_VERSION "4.8.0")

   # Locate Qt4 on the system.
   find_package(Qt4 REQUIRED QtCore QtGui QtXml QtNetwork QtTest)

   # properly set up compile flags (QT_DEBUG/QT_NO_DEBUG, ...)
   include(${QT_USE_FILE})

   set(QT_QTCORE_LIBRARY Qt4::QtCore)
   set(QT_QTGUI_LIBRARY Qt4::QtGui)
   set(QT_QTXML_LIBRARY Qt4::QtXml)
   set(QT_QTNETWORK_LIBRARY Qt4::QtNetwork)
   set(QT_QTTEST_LIBRARY Qt4::QtTest)

else()
   set(USE_QT5 TRUE)

   # Locate Qt5 on the system.
   find_package(Qt5 "5.1.0" REQUIRED COMPONENTS Core Gui Widgets Xml Network PrintSupport Test)

   set(QT_QTCORE_LIBRARY Qt5::Core)
   set(QT_QTGUI_LIBRARY Qt5::Widgets Qt5::PrintSupport)
   set(QT_QTXML_LIBRARY Qt5::Xml)
   set(QT_QTNETWORK_LIBRARY Qt5::Network)
   set(QT_QTTEST_LIBRARY Qt5::Test)

   set(QT_RCC_EXECUTABLE ${Qt5Core_RCC_EXECUTABLE})

endif()

# Compiler defines

if(CMAKE_BUILD_TYPE STREQUAL "Debug")
    add_definitions(-DDEBUG -DBUILD_DEBUG -DWANT_TIMING)
else()
    add_definitions(-DNDEBUG -DBUILD_RELEASE -DNO_TIMING)
endif()

add_definitions(-DSTABLE) # this is changed to STABLE by the release script

# Compiler flags

if(CMAKE_COMPILER_IS_GNUCXX)
   if(CMAKE_SYSTEM_NAME MATCHES Linux OR CMAKE_SYSTEM_NAME STREQUAL GNU)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Woverloaded-virtual -Wextra -Wformat-nonliteral -Wformat-security -Winit-self -Wswitch-enum -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -W -Wpointer-arith -fno-check-new -fno-common")
      add_definitions(-DQT_NO_EXCEPTIONS)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
   endif()
endif()

# Looking for dependencies

find_package(PkgConfig REQUIRED)
include(FeatureSummary)

# Required dependencies ---------------------------------------

find_path(LADSPA_INCLUDE_DIR ladspa.h)
if(NOT LADSPA_INCLUDE_DIR)
    message(FATAL_ERROR "Failed to find required LADSPA header ladspa.h")
endif()

pkg_check_modules(ALSA alsa>=0.9)
add_feature_info(ALSA ALSA_FOUND "Alsa library (Advanced Linux Sound Architecture), used for MIDI support")
if(NOT ALSA_FOUND)
    # This little bit of juggling is to enable DSSI to be included even on
    # systems without ALSA (dssi.h includes an ALSA header, but we can
    # fill in the gap if ALSA itself is not present)
    message(WARNING "No ALSA library found: MIDI will be unavailable!")
    message(STATUS "Using compatibility code for DSSI event types")
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/sound/dssi-compatibility)
endif()

find_path(DSSI_INCLUDE_DIRS dssi.h)
if(NOT DSSI_INCLUDE_DIRS)
    message(FATAL_ERROR "Failed to find required DSSI header dssi.h")
endif()

find_package(ZLIB REQUIRED)

find_package(X11 REQUIRED) # for XSetErrorHandler & XGetErrorText

pkg_check_modules(LIBLO REQUIRED liblo>=0.7)

pkg_check_modules(LRDF REQUIRED lrdf>=0.2)

pkg_check_modules(FFTW3F REQUIRED fftw3f>=3.0.0)

pkg_check_modules(SAMPLERATE REQUIRED samplerate>=0.1.2)

# Optional dependencies ---------------------------------------

pkg_check_modules(SNDFILE sndfile>=1.0.16)
add_feature_info(SNDFILE SNDFILE_FOUND "Better support for WAV files")

pkg_check_modules(JACK jack)
if(JACK_FOUND)
    add_feature_info(JACK JACK_FOUND "Library for accessing the JACK server (http://jackaudio.org).")
else()
    add_feature_info(JACK JACK_FOUND "WARNING: the library for accessing the JACK server (http://jackaudio.org) was not found. Audio will be unavailable!")
endif()

find_path(LIRCCLIENT_INCLUDE_DIR lirc/lirc_client.h)
if(NOT LIRCCLIENT_INCLUDE_DIR)
    message(WARNING "Failed to find LIRC header lirc/lirc_client.h")
endif()
find_library(LIRCCLIENT_LIBRARY lirc_client)
if(NOT LIRCCLIENT_LIBRARY)
    message(WARNING "Failed to find LIRC library lirc_client")
endif()
if(LIRCCLIENT_INCLUDE_DIR AND LIRCCLIENT_LIBRARY)
    set(LIRCCLIENT_FOUND TRUE)
endif()
add_feature_info(LIRCCLIENT LIRCCLIENT_FOUND "The LIRC client library, for remote control support")

# --------------------------------------------------------

# Print out a summary of what was found and what is missing
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# --------------------------------------------------------

# BUILD_TESTING is a builtin option in cmake, which defaults to ON.
# We'll set it to OFF in release mode, and let users (developers) choose in debug mode.

if(NOT CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(BUILD_TESTING OFF)
endif()

# Unit tests disabled: use a static lib
# Unit tests enabled: use shared libs, to speed up linking
if(BUILD_TESTING)
    set(RG_LIBRARY_TYPE SHARED)
    message(STATUS "Building unit tests, using shared libraries")
else()
    set(RG_LIBRARY_TYPE STATIC)
    set(ROSEGARDENPRIVATE_STATIC_BUILD TRUE) # for generating rosegardenprivate-export.h
    message(STATUS "Not building unit tests, using a static library for rosegarden")
endif()


# --------------------------------------------------------

add_subdirectory(src)
add_subdirectory(data)

if(BUILD_TESTING)
    add_subdirectory(test)
endif()

=== data/CMakeLists.txt ===
# Install icons
set(ICON_INSTALL_DIR "share/icons")
set(ICON_SRC_DIR "pixmaps/icons")
foreach(_size 16;32;64)
  set(_dir "${ICON_INSTALL_DIR}/hicolor/${_size}x${_size}/mimetypes")
  install(FILES ${ICON_SRC_DIR}/mm-mime-hi${_size}-rosegarden.png DESTINATION ${_dir}
          RENAME application-x-rosegarden-composition.png)
  install(FILES ${ICON_SRC_DIR}/mm-mime-hi${_size}-rosegarden-rgd.png DESTINATION ${_dir}
          RENAME application-x-rosegarden-device.png)
  install(FILES ${ICON_SRC_DIR}/mm-mime-hi${_size}-rosegarden-rgp.png DESTINATION ${_dir}
          RENAME application-x-rosegarden-project.png)
  install(FILES ${ICON_SRC_DIR}/mm-mime-hi${_size}-rosegarden-rgt.png DESTINATION ${_dir}
          RENAME application-x-rosegarden-template.png)
endforeach()

foreach(_size 32;64;128)
  set(_dir "${ICON_INSTALL_DIR}/hicolor/${_size}x${_size}/apps")
  install(FILES ${ICON_SRC_DIR}/rg-rwb-rose3-${_size}x${_size}.png DESTINATION ${_dir}
          RENAME rosegarden.png)
endforeach()

# Install mimetype
install(FILES mime/rosegarden.xml DESTINATION "share/mime/packages")

# Install desktop file
install(FILES desktop/rosegarden.desktop DESTINATION "share/applications")

# Install appdata file
install(FILES appdata/rosegarden.appdata.xml DESTINATION "share/appdata")

=== src/CMakeLists.txt ===
# Building the rosegarden executable

# Define where to build the targets : at the top of the build tree
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})

# Compiler definitions
configure_file(rosegarden-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/rosegarden-version.h )

# Export macros
configure_file(rosegardenprivate_export.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/rosegardenprivate_export.h)
add_definitions(-DROSEGARDENPRIVATE_LIB_MAKEDLL)

# Define the include paths (-I...)
include_directories(
    ${ZLIB_INCLUDE_DIR}
    ${X11_INCLUDE_DIR}
    ${LIBLO_INCLUDE_DIRS}
    ${LRDF_INCLUDE_DIRS}
    ${FFTW3F_INCLUDE_DIRS}
    ${SAMPLERATE_INCLUDE_DIRS}
)

set(rg_OPTIONAL_LIBS )

# For each optional dependency: if found, set a -D definition, a -I include path, and add lib to the list
if(SNDFILE_FOUND)
    include_directories(${SNDFILE_INCLUDE_DIRS})
    add_definitions(-DHAVE_LIBSNDFILE)
    set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${SNDFILE_LIBRARIES})
endif()

if(JACK_FOUND)
    include_directories(${JACK_INCLUDE_DIRS})
    add_definitions(-DHAVE_LIBJACK)
    set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${JACK_LIBRARIES})
endif()

if(LIRCCLIENT_FOUND)
    include_directories(${LIRCCLIENT_INCLUDE_DIR})
    add_definitions(-DHAVE_LIRC)
    set(CMAKE_AUTOMOC_MOC_OPTIONS ${CMAKE_AUTOMOC_MOC_OPTIONS} -DHAVE_LIRC) # for cmake 2.8.12, fixed in 2.8.12.1 (https://cmake.org/gitweb?p=cmake.git;a=commitdiff;h=a1b9465b)
    set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${LIRCCLIENT_LIBRARY})
endif()

if(ALSA_FOUND)
    include_directories(${ALSA_INCLUDE_DIR})
    add_definitions(-DHAVE_ALSA)
    set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${ALSA_LIBRARIES})
endif()

set(rg_SOURCES
  ${CMAKE_CURRENT_BINARY_DIR}/svnversion.h
  document/GzipFile.cpp
  document/LinkedSegmentsCommand.cpp
  document/Command.cpp
  document/BasicCommand.cpp
  document/RoseXmlHandler.cpp
  document/CommandRegistry.cpp
  document/DocumentGet.cpp
  document/io/PercussionMap.cpp
  document/io/MusicXmlExporter.cpp
  document/io/LilyPondLanguage.cpp
  document/io/MusicXMLLoader.cpp
  document/io/MupExporter.cpp
  document/io/LilyPondSegmentsContext.cpp
  document/io/HydrogenLoader.cpp
  document/io/MusicXMLImportHelper.cpp
  document/io/LilyPondExporter.cpp
  document/io/MusicXMLXMLHandler.cpp
  document/io/HydrogenXMLHandler.cpp
  document/io/MusicXmlExportHelper.cpp
  document/io/CsoundExporter.cpp
  document/io/RG21Loader.cpp
  document/RosegardenDocument.cpp
  document/XmlStorableEvent.cpp
  document/CommandHistory.cpp
  document/BasicSelectionCommand.cpp
  document/XmlSubHandler.cpp
  document/MetadataHelper.cpp
  misc/ConfigGroups.cpp
  misc/TempDir.cpp
  misc/AppendLabel.cpp
  misc/Debug.cpp
  misc/Version.cpp
  misc/Strings.cpp
  gui/dialogs/PasteNotationDialog.cpp
  gui/dialogs/ConfigureDialogBase.cpp
  gui/dialogs/PitchDialog.cpp
  gui/dialogs/InterpretDialog.cpp
  gui/dialogs/ImportDeviceDialog.cpp
  gui/dialogs/UnusedAudioSelectionDialog.cpp
  gui/dialogs/TrackLabelDialog.cpp
  gui/dialogs/TupletDialog.cpp
  gui/dialogs/ManageMetronomeDialog.cpp
  gui/dialogs/MarkerModifyDialog.cpp
  gui/dialogs/MakeOrnamentDialog.cpp
  gui/dialogs/ClefDialog.cpp
  gui/dialogs/AudioPluginDialog.cpp
  gui/dialogs/ExportDeviceDialog.cpp
  gui/dialogs/DialogSuppressor.cpp
  gui/dialogs/CountdownDialog.cpp
  gui/dialogs/LyricEditDialog.cpp
  gui/dialogs/CountdownBar.cpp
  gui/dialogs/CompositionLengthDialog.cpp
  gui/dialogs/BeatsBarsDialog.cpp
  gui/dialogs/PitchBendSequenceDialog.cpp
  gui/dialogs/TimeSignatureDialog.cpp
  gui/dialogs/SimpleEventEditDialog.cpp
  gui/dialogs/TempoDialog.cpp
  gui/dialogs/AudioPlayingDialog.cpp
  gui/dialogs/TextEventDialog.cpp
  gui/dialogs/IdentifyTextCodecDialog.cpp
  gui/dialogs/EventFilterDialog.cpp
  gui/dialogs/MusicXMLOptionsDialog.cpp
  gui/dialogs/TriggerSegmentDialog.cpp
  gui/dialogs/FileMergeDialog.cpp
  gui/dialogs/PitchPickerDialog.cpp
  gui/dialogs/ConfigureDialog.cpp
  gui/dialogs/AudioSplitDialog.cpp
  gui/dialogs/KeySignatureDialog.cpp
  gui/dialogs/FileLocateDialog.cpp
  gui/dialogs/SplitByRecordingSrcDialog.cpp
  gui/dialogs/DocumentConfigureDialog.cpp
  gui/dialogs/IntervalDialog.cpp
  gui/dialogs/InsertTupletDialog.cpp
  gui/dialogs/TransportDialog.cpp
  gui/dialogs/ShowSequencerStatusDialog.cpp
  gui/dialogs/EventEditDialog.cpp
  gui/dialogs/QuantizeDialog.cpp
  gui/dialogs/CheckForParallelsDialog.cpp
  gui/dialogs/FloatEdit.cpp
  gui/dialogs/TimeDialog.cpp
  gui/dialogs/SelectDialog.cpp
  gui/dialogs/RescaleDialog.cpp
  gui/dialogs/EventParameterDialog.cpp
  gui/dialogs/AboutDialog.cpp
  gui/dialogs/LilyPondOptionsDialog.cpp
  gui/dialogs/SplitByPitchDialog.cpp
  gui/dialogs/AddTracksDialog.cpp
  gui/dialogs/GeneratedRegionDialog.cpp
  gui/dialogs/AudioManagerDialog.cpp
  gui/dialogs/UseOrnamentDialog.cpp
  gui/dialogs/CommentsPopupDialog.cpp
  gui/widgets/IconStackedWidget.cpp
  gui/widgets/TristateCheckBox.cpp
  gui/widgets/FileDialog.cpp
  gui/widgets/FontRequester.cpp
  gui/widgets/TimeWidget.cpp
  gui/widgets/CurrentProgressDialog.cpp
  gui/widgets/WarningGroupBox.cpp
  gui/widgets/MidiFaderWidget.cpp
  gui/widgets/ProgressBar.cpp
  gui/widgets/Panned.cpp
  gui/widgets/AudioVUMeter.cpp
  gui/widgets/ZoomSlider.cpp
  gui/widgets/SqueezedLabel.cpp
  gui/widgets/Rotary.cpp
  gui/widgets/ScrollBoxDialog.cpp
  gui/widgets/AudioListView.cpp
  gui/widgets/LedButton.cpp
  gui/widgets/InputDialog.cpp
  gui/widgets/LilyVersionAwareCheckBox.cpp
  gui/widgets/Fader.cpp
  gui/widgets/Panner.cpp
  gui/widgets/LineEdit.cpp
  gui/widgets/CheckButton.cpp
  gui/widgets/PitchDragLabel.cpp
  gui/widgets/PluginControl.cpp
  gui/widgets/AudioFaderBox.cpp
  gui/widgets/QuantizeParameters.cpp
  gui/widgets/ColourTableItem.cpp
  gui/widgets/ProgressDialog.cpp
  gui/widgets/VUMeter.cpp
  gui/widgets/TmpStatusMsg.cpp
  gui/widgets/BaseTextFloat.cpp
  gui/widgets/Label.cpp
  gui/widgets/InstrumentAliasButton.cpp
  gui/widgets/IconButton.cpp
  gui/widgets/StartupLogo.cpp
  gui/widgets/DeferScrollArea.cpp
  gui/widgets/Thumbwheel.cpp
  gui/widgets/CollapsingFrame.cpp
  gui/widgets/PluginPushButton.cpp
  gui/widgets/WheelyButton.cpp
  gui/widgets/DiatonicPitchChooser.cpp
  gui/widgets/Led.cpp
  gui/widgets/WarningDialog.cpp
  gui/widgets/AudioRouteMenu.cpp
  gui/widgets/ScrollBox.cpp
  gui/widgets/ColourTable.cpp
  gui/widgets/PitchChooser.cpp
  gui/widgets/WarningWidget.cpp
  gui/widgets/TextFloat.cpp
  gui/editors/pitchtracker/PitchHistory.cpp
  gui/editors/pitchtracker/PitchTrackerView.cpp
  gui/editors/pitchtracker/PitchGraphWidget.cpp
  gui/editors/guitar/GuitarChordSelectorDialog.cpp
  gui/editors/guitar/FingeringListBoxItem.cpp
  gui/editors/guitar/ChordXmlHandler.cpp
  gui/editors/guitar/ChordMap.cpp
  gui/editors/guitar/Chord.cpp
  gui/editors/guitar/Fingering.cpp
  gui/editors/guitar/NoteSymbols.cpp
  gui/editors/guitar/GuitarChordEditorDialog.cpp
  gui/editors/guitar/FingeringBox.cpp
  gui/editors/parameters/RosegardenParameterBox.cpp
  gui/editors/parameters/AudioInstrumentParameterPanel.cpp
  gui/editors/parameters/TrackParameterBox.cpp
  gui/editors/parameters/InstrumentParameterBox.cpp
  gui/editors/parameters/MIDIInstrumentParameterPanel.cpp
  gui/editors/parameters/RosegardenParameterArea.cpp
  gui/editors/parameters/InstrumentParameterPanel.cpp
  gui/editors/parameters/SegmentParameterBox.cpp
  gui/editors/notation/NotationCommandRegistry.cpp
  gui/editors/notation/NotationEraser.cpp
  gui/editors/notation/NoteFontFactory.cpp
  gui/editors/notation/NoteItem.cpp
  gui/editors/notation/NotationStrings.cpp
  gui/editors/notation/SystemFontQt.cpp
  gui/editors/notation/NotationChord.cpp
  gui/editors/notation/NotationToolBox.cpp
  gui/editors/notation/BarLineItem.cpp
  gui/editors/notation/NoteFontMap.cpp
  gui/editors/notation/NoteCharacter.cpp
  gui/editors/notation/StaffHeader.cpp
  gui/editors/notation/TextInserter.cpp
  gui/editors/notation/NotationElement.cpp
  gui/editors/notation/NoteCharacterNames.cpp
  gui/editors/notation/NotationSelector.cpp
  gui/editors/notation/NoteStyle.cpp
  gui/editors/notation/NotationStaff.cpp
  gui/editors/notation/SymbolInserter.cpp
  gui/editors/notation/ClefKeyContext.cpp
  gui/editors/notation/ClefInserter.cpp
  gui/editors/notation/NotationWidget.cpp
  gui/editors/notation/StaffLayout.cpp
  gui/editors/notation/NotationHLayout.cpp
  gui/editors/notation/GuitarChordInserter.cpp
  gui/editors/notation/HeadersGroup.cpp
  gui/editors/notation/FontViewFrame.cpp
  gui/editors/notation/NotationGroup.cpp
  gui/editors/notation/NotationView.cpp
  gui/editors/notation/NotationVLayout.cpp
  gui/editors/notation/NoteFont.cpp
  gui/editors/notation/NotationScene.cpp
  gui/editors/notation/NoteRestInserter.cpp
  gui/editors/notation/NoteStyleFactory.cpp
  gui/editors/notation/NoteStyleFileReader.cpp
  gui/editors/notation/SystemFontXft.cpp
  gui/editors/notation/NotationTool.cpp
  gui/editors/notation/NotationProperties.cpp
  gui/editors/notation/NoteFontViewer.cpp
  gui/editors/notation/NotePixmapFactory.cpp
  gui/editors/notation/SystemFont.cpp
  gui/editors/notation/NotePixmapParameters.cpp
  gui/editors/tempo/TempoListItem.cpp
  gui/editors/tempo/TempoView.cpp
  gui/editors/matrix/MatrixView.cpp
  gui/editors/matrix/MatrixElement.cpp
  gui/editors/matrix/PianoKeyboard.cpp
  gui/editors/matrix/MatrixMover.cpp
  gui/editors/matrix/MatrixWidget.cpp
  gui/editors/matrix/MatrixCommandRegistry.cpp
  gui/editors/matrix/MatrixScene.cpp
  gui/editors/matrix/MatrixEraser.cpp
  gui/editors/matrix/MatrixTool.cpp
  gui/editors/matrix/MatrixPainter.cpp
  gui/editors/matrix/MatrixResizer.cpp
  gui/editors/matrix/MatrixVelocity.cpp
  gui/editors/matrix/MatrixViewSegment.cpp
  gui/editors/matrix/MatrixSelector.cpp
  gui/editors/matrix/MatrixToolBox.cpp
  gui/editors/eventlist/TrivialVelocityDialog.cpp
  gui/editors/eventlist/EventView.cpp
  gui/editors/eventlist/EventViewItem.cpp
  gui/editors/segment/TriggerManagerItem.cpp
  gui/editors/segment/PlayListView.cpp
  gui/editors/segment/TrackButtons.cpp
  gui/editors/segment/TrackVUMeter.cpp
  gui/editors/segment/TriggerSegmentManager.cpp
  gui/editors/segment/MarkerEditorViewItem.cpp
  gui/editors/segment/TrackLabel.cpp
  gui/editors/segment/PlayListDialog.cpp
  gui/editors/segment/compositionview/SegmentRect.cpp
  gui/editors/segment/compositionview/SegmentToolBox.cpp
  gui/editors/segment/compositionview/SegmentOrderer.cpp
  gui/editors/segment/compositionview/SegmentEraser.cpp
  gui/editors/segment/compositionview/SegmentPencil.cpp
  gui/editors/segment/compositionview/SegmentItemPreview.cpp
  gui/editors/segment/compositionview/CompositionModelImpl.cpp
  gui/editors/segment/compositionview/CompositionView.cpp
  gui/editors/segment/compositionview/AudioPeaksReadyEvent.cpp
  gui/editors/segment/compositionview/SegmentSelector.cpp
  gui/editors/segment/compositionview/ChangingSegment.cpp
  gui/editors/segment/compositionview/SegmentTool.cpp
  gui/editors/segment/compositionview/AudioPreviewPainter.cpp
  gui/editors/segment/compositionview/CompositionColourCache.cpp
  gui/editors/segment/compositionview/SegmentResizer.cpp
  gui/editors/segment/compositionview/AudioPeaksThread.cpp
  gui/editors/segment/compositionview/SegmentSplitter.cpp
  gui/editors/segment/compositionview/AudioPeaksGenerator.cpp
  gui/editors/segment/compositionview/SegmentMover.cpp
  gui/editors/segment/compositionview/SegmentJoiner.cpp
  gui/editors/segment/PlayList.cpp
  gui/editors/segment/PlayListViewItem.cpp
  gui/editors/segment/MarkerEditor.cpp
  gui/editors/segment/TrackEditor.cpp
  gui/configuration/ColourConfigurationPage.cpp
  gui/configuration/MatrixConfigurationPage.cpp
  gui/configuration/MIDIConfigurationPage.cpp
  gui/configuration/DocumentMetaConfigurationPage.cpp
  gui/configuration/TabbedConfigurationPage.cpp
  gui/configuration/NotationConfigurationPage.cpp
  gui/configuration/AudioConfigurationPage.cpp
  gui/configuration/AudioPropertiesPage.cpp

=== test/CMakeLists.txt ===
include_directories(../src ${CMAKE_CURRENT_BINARY_DIR}/../src)

# Code factorization: this macro defines unit tests
macro(RG_UNIT_TESTS)
   foreach(_testname ${ARGN})
      add_executable(${_testname} ${_testname}.cpp)
      add_test(${_testname} ${CMAKE_CURRENT_BINARY_DIR}/${_testname})
      target_link_libraries(${_testname} ${QT_QTTEST_LIBRARY} ${QT_QTGUI_LIBRARY} rosegardenprivate)
      set_target_properties(${_testname} PROPERTIES COMPILE_FLAGS -DSRCDIR="\\"${CMAKE_CURRENT_SOURCE_DIR}/\\"")
   endforeach(_testname)
endmacro()

# Each line here defines a unit test (the executable name matches the .cpp filename)
RG_UNIT_TESTS(
   accidentals
   segmenttransposecommand
   transpose
)

add_subdirectory(lilypond)

=== debian/changelog ===
rosegarden (1:15.12.1-1) unstable; urgency=medium

  * New upstream release.
    - update packaging to new cmake build system
  * Drop manual dbg package in favour of automatic dbgsym package.
  * Drop menu file.

 -- Stuart Prescott <stuart@debian.org>  Wed, 06 Jan 2016 15:49:45 +1100

rosegarden (1:15.10.2-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Tue, 10 Nov 2015 00:36:22 +1100

rosegarden (1:15.10.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Tue, 03 Nov 2015 23:56:12 +1100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: rosegarden
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Stuart Prescott <stuart@debian.org>
 Build-Depends:
+ cmake,
  debhelper (>= 9),
- dh-autoreconf,
  dssi-dev (>= 0.4),
  fftw3-dev,
  ladspa-sdk,
@@ -59,18 +58,3 @@
  sequencer (for playback and recording), a multi-track editor, music
  editing using both piano-roll and score notation, MIDI file IO,
  lilypond and Csound files export, etc.
-
-Package: rosegarden-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends:
- rosegarden (= ${binary:Version}),
- ${misc:Depends}
-Description: Debugging symbols for Rosegarden
- Rosegarden is a Qt application which provides a mixed Audio/MIDI
- sequencer (for playback and recording), a multi-track editor, music
- editing using both piano-roll and score notation, MIDI file IO,
- lilypond and Csound files export, etc.
- .
- This package provides the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_strip:
	dh_strip --ddeb-migration='rosegarden-dbg (<< 1:15.12.1-1~)'

## rosegarden 16.06

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,10 +5,8 @@
 project(rosegarden)
 
 # Version
-set(ROSEGARDEN_VERSION "15.12")
-set(ROSEGARDEN_CODENAME "Peace")
-#set(ROSEGARDEN_CODENAME "Querida")
-#set(ROSEGARDEN_CODENAME "Rhapsody in Blue")
+set(ROSEGARDEN_VERSION "16.06")
+set(ROSEGARDEN_CODENAME "Rhapsody in Blue")
 #set(ROSEGARDEN_CODENAME "Seagull")
 #set(ROSEGARDEN_CODENAME "Twice in a Blue Moon")
 #set(ROSEGARDEN_CODENAME "Ultimate Pleasure")
@@ -17,6 +15,23 @@
 #set(ROSEGARDEN_CODENAME "Xerxes")
 #set(ROSEGARDEN_CODENAME "Yesterday")
 #set(ROSEGARDEN_CODENAME "Zepherine Drouhin")
+#set(ROSEGARDEN_CODENAME "Altissimo")
+#set(ROSEGARDEN_CODENAME "Bouquet d'Or")
+#set(ROSEGARDEN_CODENAME "Cloud Nine")
+#set(ROSEGARDEN_CODENAME "Distant Drums")
+#set(ROSEGARDEN_CODENAME "Enchantress")
+#set(ROSEGARDEN_CODENAME "Flutterbye")
+#set(ROSEGARDEN_CODENAME "Grace Note")
+#set(ROSEGARDEN_CODENAME "Hermosa")
+#set(ROSEGARDEN_CODENAME "Incredible")
+#set(ROSEGARDEN_CODENAME "Joyfulness")
+#set(ROSEGARDEN_CODENAME "Keepsake")
+#set(ROSEGARDEN_CODENAME "Let Freedom Ring")
+#set(ROSEGARDEN_CODENAME "Mountain Music")
+#set(ROSEGARDEN_CODENAME "Night Owl")
+#set(ROSEGARDEN_CODENAME "Orange Flame")
+#set(ROSEGARDEN_CODENAME "Purple Rain")
+#set(ROSEGARDEN_CODENAME "Quietness")
 
 # Make the build type default to "Release"
 if(NOT CMAKE_BUILD_TYPE)
@@ -45,12 +60,14 @@
 # and this defines the BUILD_TESTING option (and enabled CDash integration)
 include(CTest)
 
-# Check whether we explicitely select the Qt version to be used or autodetect
+# Check whether we explicitely select the Qt version to be used or autodetect.
 if(NOT USE_QT4 AND NOT USE_QT5)
-   # Autodetect, prefering Qt 4
+   # Autodetect, prefering Qt 5
    message(STATUS "Autodetecting Qt version to use")
-   find_package(Qt4 QUIET)
-   if(Qt4_FOUND)
+   find_package(Qt5 QUIET COMPONENTS Core)
+   if(Qt5_FOUND)
+      set(USE_QT5 TRUE)
+   else()
       set(USE_QT4 TRUE)
    endif()
 endif()
@@ -71,7 +88,6 @@
    set(QT_QTTEST_LIBRARY Qt4::QtTest)
 
 else()
-   set(USE_QT5 TRUE)
 
    # Locate Qt5 on the system.
    find_package(Qt5 "5.1.0" REQUIRED COMPONENTS Core Gui Widgets Xml Network PrintSupport Test)
@@ -158,16 +174,19 @@
     add_feature_info(JACK JACK_FOUND "WARNING: the library for accessing the JACK server (http://jackaudio.org) was not found. Audio will be unavailable!")
 endif()
 
-find_path(LIRCCLIENT_INCLUDE_DIR lirc/lirc_client.h)
-if(NOT LIRCCLIENT_INCLUDE_DIR)
-    message(WARNING "Failed to find LIRC header lirc/lirc_client.h")
-endif()
-find_library(LIRCCLIENT_LIBRARY lirc_client)
-if(NOT LIRCCLIENT_LIBRARY)
-    message(WARNING "Failed to find LIRC library lirc_client")
-endif()
-if(LIRCCLIENT_INCLUDE_DIR AND LIRCCLIENT_LIBRARY)
-    set(LIRCCLIENT_FOUND TRUE)
+# Build with LIRC support if LIRC detected, unless DISABLE_LIRC is set
+if(NOT DISABLE_LIRC)
+    find_path(LIRCCLIENT_INCLUDE_DIR lirc/lirc_client.h)
+    if(NOT LIRCCLIENT_INCLUDE_DIR)
+        message(WARNING "Failed to find LIRC header lirc/lirc_client.h")
+    endif()
+    find_library(LIRCCLIENT_LIBRARY lirc_client)
+    if(NOT LIRCCLIENT_LIBRARY)
+        message(WARNING "Failed to find LIRC library lirc_client")
+    endif()
+    if(LIRCCLIENT_INCLUDE_DIR AND LIRCCLIENT_LIBRARY)
+        set(LIRCCLIENT_FOUND TRUE)
+    endif()
 endif()
 add_feature_info(LIRCCLIENT LIRCCLIENT_FOUND "The LIRC client library, for remote control support")

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Install icons
-set(ICON_INSTALL_DIR "share/icons")
+set(ICON_INSTALL_DIR "${CMAKE_INSTALL_DATAROOTDIR}/icons")
 set(ICON_SRC_DIR "pixmaps/icons")
 foreach(_size 16;32;64)
   set(_dir "${ICON_INSTALL_DIR}/hicolor/${_size}x${_size}/mimetypes")
@@ -13,17 +13,17 @@
           RENAME application-x-rosegarden-template.png)
 endforeach()
 
-foreach(_size 32;64;128)
+foreach(_size 16;32;64;128)
   set(_dir "${ICON_INSTALL_DIR}/hicolor/${_size}x${_size}/apps")
   install(FILES ${ICON_SRC_DIR}/rg-rwb-rose3-${_size}x${_size}.png DESTINATION ${_dir}
           RENAME rosegarden.png)
 endforeach()
 
 # Install mimetype
-install(FILES mime/rosegarden.xml DESTINATION "share/mime/packages")
+install(FILES mime/rosegarden.xml DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/mime/packages")
 
 # Install desktop file
-install(FILES desktop/rosegarden.desktop DESTINATION "share/applications")
+install(FILES desktop/rosegarden.desktop DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications")
 
 # Install appdata file
-install(FILES appdata/rosegarden.appdata.xml DESTINATION "share/appdata")
+install(FILES appdata/rosegarden.appdata.xml DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/appdata")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -49,8 +49,7 @@
     set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${ALSA_LIBRARIES})
 endif()
 
-set(rg_SOURCES
-  ${CMAKE_CURRENT_BINARY_DIR}/svnversion.h
+set(rg_CPPS
   document/GzipFile.cpp
   document/LinkedSegmentsCommand.cpp
   document/Command.cpp
@@ -247,7 +246,6 @@
   gui/editors/notation/NoteRestInserter.cpp
   gui/editors/notation/NoteStyleFactory.cpp
   gui/editors/notation/NoteStyleFileReader.cpp
-  gui/editors/notation/SystemFontXft.cpp
   gui/editors/notation/NotationTool.cpp
   gui/editors/notation/NotationProperties.cpp
   gui/editors/notation/NoteFontViewer.cpp
@@ -314,3 +312,5 @@
   gui/configuration/NotationConfigurationPage.cpp
   gui/configuration/AudioConfigurationPage.cpp
   gui/configuration/AudioPropertiesPage.cpp
+  gui/configuration/PitchTrackerConfigurationPage.cpp
+  gui/configuration/HeadersConfigurationPage.cpp

=== test/base/Makefile ===

# debug flags need to be consistent with base build
#CPPFLAGS = -O2 
CPPFLAGS = -g 

LIBBASE  = ../../../RGbuild/libRosegardenCommon.a

INCPATH  = -I..

SRCS	:= test.C pitch.C

default: test utf8 colour transpose accidentals realtime

clean:
	rm -f test test.o pitch pitch.o utf8 utf8.o colour colour.o transpose.o transpose accidentals.o accidentals realtime.o realtime

%.o: %.cpp
	$(CXX) $(CPPFLAGS) -c $< $(INCPATH) -o $@

test: test.o
	$(CXX) $< $(LIBBASE) -o $@

pitch: pitch.o
	$(CXX) $< $(LIBBASE) -o $@

utf8: utf8.o
	$(CXX) $< $(LIBBASE) -o $@

colour: colour.o
	$(CXX) $< $(LIBBASE) -o $@

transpose: transpose.o
	$(CXX) $< $(LIBBASE) -o $@

accidentals: accidentals.o
	$(CXX) $< $(LIBBASE) -o $@

realtime: realtime.o
	$(CXX) $< $(LIBBASE) -o $@


depend:
	makedepend $(INCPATH) -- $(CPPFLAGS) -- $(SRCS)

# DO NOT DELETE

test.o: ../Event.h ../PropertyMap.h ../Property.h ../RealTime.h
test.o: ../PropertyName.h ../Exception.h ../Segment.h ../Track.h
test.o: ../XmlExportable.h ../Instrument.h ../NotationTypes.h #../StringHash.h
test.o: ../XmlExportable.h ../Instrument.h ../NotationTypes.h 
test.o: ../RefreshStatus.h ../Composition.h ../FastVector.h
test.o: ../Configuration.h ../ColourMap.h ../Colour.h
test.o: ../SegmentNotationHelper.h ../SegmentPerformanceHelper.h
test.o: ../MidiTypes.h
pitch.o: ../NotationTypes.h ../Event.h ../PropertyMap.h ../Property.h
pitch.o: ../RealTime.h ../PropertyName.h ../Exception.h ../Instrument.h
pitch.o: ../XmlExportable.h #../StringHash.h

transpose.o: ../NotationTypes.h 
accidentals.o: ../NotationTypes.h 
realtime.o: ../RealTime.h ../RealTime.cpp

=== debian/changelog ===
rosegarden (1:16.06-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sat, 23 Jul 2016 16:42:51 +1000

rosegarden (1:16.02-2) unstable; urgency=medium

  [ Stuart Prescott ]
  * Cherry pick upstream patch to fix compilation with GCC 6 (Closes: #831099).

  [ IOhannes m zmölnig ]
  * Update mimetypes in package, with thanks to Petter Reinholdtsen
    (Closes: #825993).

 -- Stuart Prescott <stuart@debian.org>  Fri, 15 Jul 2016 18:59:48 +1000

rosegarden (1:16.02-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 3.9.8 (no changes required).
  * Update Vcs-* fields.
  * Enable additional hardening options for build.

 -- Stuart Prescott <stuart@debian.org>  Sun, 22 May 2016 00:12:42 +1000

=== debian/control ===
--- 
+++ 
@@ -24,10 +24,10 @@
  libz-dev,
  pkg-config,
  xutils-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.rosegardenmusic.com/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/rosegarden.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/rosegarden.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/rosegarden.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/rosegarden.git
 
 Package: rosegarden
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --parallel

## rosegarden 17.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,11 +5,8 @@
 project(rosegarden)
 
 # Version
-set(ROSEGARDEN_VERSION "16.06")
-set(ROSEGARDEN_CODENAME "Rhapsody in Blue")
-#set(ROSEGARDEN_CODENAME "Seagull")
-#set(ROSEGARDEN_CODENAME "Twice in a Blue Moon")
-#set(ROSEGARDEN_CODENAME "Ultimate Pleasure")
+set(ROSEGARDEN_VERSION "17.12.1")
+set(ROSEGARDEN_CODENAME "Ultimate Pleasure")
 #set(ROSEGARDEN_CODENAME "Vesper")
 #set(ROSEGARDEN_CODENAME "Worcestershire")
 #set(ROSEGARDEN_CODENAME "Xerxes")
@@ -110,6 +107,7 @@
     add_definitions(-DNDEBUG -DBUILD_RELEASE -DNO_TIMING)
 endif()
 
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 add_definitions(-DSTABLE) # this is changed to STABLE by the release script
 
 # Compiler flags

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -146,7 +146,6 @@
   gui/widgets/FileDialog.cpp
   gui/widgets/FontRequester.cpp
   gui/widgets/TimeWidget.cpp
-  gui/widgets/CurrentProgressDialog.cpp
   gui/widgets/WarningGroupBox.cpp
   gui/widgets/MidiFaderWidget.cpp
   gui/widgets/ProgressBar.cpp
@@ -169,7 +168,6 @@
   gui/widgets/AudioFaderBox.cpp
   gui/widgets/QuantizeParameters.cpp
   gui/widgets/ColourTableItem.cpp
-  gui/widgets/ProgressDialog.cpp
   gui/widgets/VUMeter.cpp
   gui/widgets/TmpStatusMsg.cpp
   gui/widgets/BaseTextFloat.cpp
@@ -314,3 +312,4 @@
   gui/configuration/AudioPropertiesPage.cpp
   gui/configuration/PitchTrackerConfigurationPage.cpp
   gui/configuration/HeadersConfigurationPage.cpp
+  gui/configuration/CommentsConfigurationPage.cpp

=== debian/changelog ===
rosegarden (1:17.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Tue, 20 Feb 2018 20:52:41 +1100

rosegarden (1:17.12-1) unstable; urgency=medium

  * New upstream release.
   - drop all patches; merged upstream.
  * Update Standards-Version to 4.1.3 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sat, 30 Dec 2017 01:04:26 +1100

rosegarden (1:17.04-2) unstable; urgency=medium

  * Add build-dep on qttools5-devl to fix FTBFS (Closes: #881083).
  * Update Standards-Version to 4.1.1 (no changes required).
  * Update to debhelper compat 10.
  * Update location and format of appstream metadata.
  * Update desktop file.

 -- Stuart Prescott <stuart@debian.org>  Sat, 11 Nov 2017 17:24:07 +1100

rosegarden (1:17.04-1) unstable; urgency=medium

  * New upstream release.
  * Switch to Qt5 build.
  * Bump standards-version to 4.1.0 (no changes required).
  * Fix generation of 'src/svnversion.h' to prevent FTBFS with CMake 3.9
    (Closes: #871213).

 -- Stuart Prescott <stuart@debian.org>  Mon, 28 Aug 2017 00:36:33 +1000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Stuart Prescott <stuart@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 9),
+ debhelper (>= 10),
  dssi-dev (>= 0.4),
  fftw3-dev,
  ladspa-sdk,
@@ -16,18 +16,21 @@
  liblircclient-dev,
  liblo-dev,
  liblrdf0-dev,
- libqt4-dev,
  libsamplerate-dev,
  libsm-dev,
  libsndfile1-dev,
  libx11-dev,
  libz-dev,
  pkg-config,
+ qtbase5-dev,
+ qttools5-dev,
+ qttools5-dev-tools,
+ shared-mime-info,
  xutils-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://www.rosegardenmusic.com/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/rosegarden.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/rosegarden.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/rosegarden.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/rosegarden
 
 Package: rosegarden
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_strip:
 	dh_strip --ddeb-migration='rosegarden-dbg (<< 1:15.12.1-1~)'

## rosegarden 18.12

=== debian/changelog ===
rosegarden (1:18.12-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.3.0 (no changes required).
  * Prevent build-time tests being run for the time being, since they require
    rosegarden to be built as library and don't currently pass anyway.

 -- Stuart Prescott <stuart@debian.org>  Fri, 28 Dec 2018 17:35:27 +1100

rosegarden (1:18.06-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Tue, 19 Jun 2018 18:01:47 +1000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: rosegarden
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Stuart Prescott <stuart@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper (>= 11),
  dssi-dev (>= 0.4),
  fftw3-dev,
  ladspa-sdk,
@@ -26,9 +26,9 @@
  qttools5-dev,
  qttools5-dev-tools,
  shared-mime-info,
- xutils-dev
-Standards-Version: 4.1.3
-Homepage: http://www.rosegardenmusic.com/
+ xutils-dev,
+Standards-Version: 4.3.0
+Homepage: https://www.rosegardenmusic.com/
 Vcs-Git: https://salsa.debian.org/multimedia-team/rosegarden.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/rosegarden

## rosegarden 18.12.1+rb2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,12 @@
 # CMake version required. This must be the very first line, because it sets default policies affecting everything else
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.1)
 
 # Project name
 project(rosegarden)
 
 # Version
-set(ROSEGARDEN_VERSION "17.12.1")
-set(ROSEGARDEN_CODENAME "Ultimate Pleasure")
-#set(ROSEGARDEN_CODENAME "Vesper")
-#set(ROSEGARDEN_CODENAME "Worcestershire")
+set(ROSEGARDEN_VERSION "18.12")
+set(ROSEGARDEN_CODENAME "Worcestershire")
 #set(ROSEGARDEN_CODENAME "Xerxes")
 #set(ROSEGARDEN_CODENAME "Yesterday")
 #set(ROSEGARDEN_CODENAME "Zepherine Drouhin")
@@ -54,57 +52,22 @@
 
 # Activate unit tests (this enables `make test`)
 enable_testing()
-# and this defines the BUILD_TESTING option (and enabled CDash integration)
-include(CTest)
-
-# Check whether we explicitely select the Qt version to be used or autodetect.
-if(NOT USE_QT4 AND NOT USE_QT5)
-   # Autodetect, prefering Qt 5
-   message(STATUS "Autodetecting Qt version to use")
-   find_package(Qt5 QUIET COMPONENTS Core)
-   if(Qt5_FOUND)
-      set(USE_QT5 TRUE)
-   else()
-      set(USE_QT4 TRUE)
-   endif()
-endif()
-
-if(USE_QT4)
-   set(QT_MIN_VERSION "4.8.0")
-
-   # Locate Qt4 on the system.
-   find_package(Qt4 REQUIRED QtCore QtGui QtXml QtNetwork QtTest)
-
-   # properly set up compile flags (QT_DEBUG/QT_NO_DEBUG, ...)
-   include(${QT_USE_FILE})
-
-   set(QT_QTCORE_LIBRARY Qt4::QtCore)
-   set(QT_QTGUI_LIBRARY Qt4::QtGui)
-   set(QT_QTXML_LIBRARY Qt4::QtXml)
-   set(QT_QTNETWORK_LIBRARY Qt4::QtNetwork)
-   set(QT_QTTEST_LIBRARY Qt4::QtTest)
-
-else()
-
-   # Locate Qt5 on the system.
-   find_package(Qt5 "5.1.0" REQUIRED COMPONENTS Core Gui Widgets Xml Network PrintSupport Test)
-
-   set(QT_QTCORE_LIBRARY Qt5::Core)
-   set(QT_QTGUI_LIBRARY Qt5::Widgets Qt5::PrintSupport)
-   set(QT_QTXML_LIBRARY Qt5::Xml)
-   set(QT_QTNETWORK_LIBRARY Qt5::Network)
-   set(QT_QTTEST_LIBRARY Qt5::Test)
-
-   set(QT_RCC_EXECUTABLE ${Qt5Core_RCC_EXECUTABLE})
-
+# then define the BUILD_TESTING option, with the default value that we want
+# We'll set it to OFF in release mode, and let users (developers) choose in debug mode.
+# include(CTest) would make it ON by default in all cases, so we don't use that
+
+if(CMAKE_BUILD_TYPE STREQUAL "Release")
+    option(BUILD_TESTING "Build the testing tree." OFF)
+else()
+    option(BUILD_TESTING "Build the testing tree." ON)
 endif()
 
 # Compiler defines
 
-if(CMAKE_BUILD_TYPE STREQUAL "Debug")
+if(CMAKE_BUILD_TYPE STREQUAL "Release")
+    add_definitions(-DNDEBUG -DBUILD_RELEASE -DNO_TIMING)
+else()
     add_definitions(-DDEBUG -DBUILD_DEBUG -DWANT_TIMING)
-else()
-    add_definitions(-DNDEBUG -DBUILD_RELEASE -DNO_TIMING)
 endif()
 
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
@@ -112,11 +75,20 @@
 
 # Compiler flags
 
+set(CMAKE_CXX_STANDARD 11) # Enable C++11
+
 if(CMAKE_COMPILER_IS_GNUCXX)
    if(CMAKE_SYSTEM_NAME MATCHES Linux OR CMAKE_SYSTEM_NAME STREQUAL GNU)
-      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Woverloaded-virtual -Wextra -Wformat-nonliteral -Wformat-security -Winit-self -Wswitch-enum -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -W -Wpointer-arith -fno-check-new -fno-common")
+      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Woverloaded-virtual -Wextra -Wformat-nonliteral -Wformat-security -Winit-self -Wswitch-enum -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -W -Wpointer-arith -fno-check-new -fno-common -Werror=return-type")
       add_definitions(-DQT_NO_EXCEPTIONS)
       set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
+      if (CMAKE_COMPILER_IS_GNUCC AND (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 4.7))
+          # Too many left, someone needs to finish this...
+          #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wzero-as-null-pointer-constant") # suggest using nullptr where applicable
+      endif()
+      if (CMAKE_COMPILER_IS_GNUCC AND (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 5.1))
+         set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsuggest-override")
+      endif()
    endif()
 endif()
 
@@ -126,6 +98,18 @@
 include(FeatureSummary)
 
 # Required dependencies ---------------------------------------
+
+# Qt5 is required.
+find_package(Qt5 "5.1.0" REQUIRED COMPONENTS Core Gui Widgets Xml Network PrintSupport Test)
+
+set(QT_QTCORE_LIBRARY Qt5::Core)
+set(QT_QTGUI_LIBRARY Qt5::Widgets Qt5::PrintSupport)
+set(QT_QTXML_LIBRARY Qt5::Xml)
+set(QT_QTNETWORK_LIBRARY Qt5::Network)
+set(QT_QTTEST_LIBRARY Qt5::Test)
+
+set(QT_RCC_EXECUTABLE ${Qt5Core_RCC_EXECUTABLE})
+
 
 find_path(LADSPA_INCLUDE_DIR ladspa.h)
 if(NOT LADSPA_INCLUDE_DIR)
@@ -195,12 +179,6 @@
 
 # --------------------------------------------------------
 
-# BUILD_TESTING is a builtin option in cmake, which defaults to ON.
-# We'll set it to OFF in release mode, and let users (developers) choose in debug mode.
-
-if(NOT CMAKE_BUILD_TYPE STREQUAL "Debug")
-    set(BUILD_TESTING OFF)
-endif()
 
 # Unit tests disabled: use a static lib
 # Unit tests enabled: use shared libs, to speed up linking

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,7 @@
 RG_UNIT_TESTS(
    accidentals
    segmenttransposecommand
+   test_notationview_selection
    transpose
 )

=== debian/changelog ===
rosegarden (1:18.12.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Mon, 01 Feb 2021 16:16:05 +0800
